Bug 651613 - (haddock) Review Request: haddock - Haskell documentation tool
Review Request: haddock - Haskell documentation tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-ltk
  Show dependency treegraph
 
Reported: 2010-11-09 16:55 EST by Narasimhan
Modified: 2011-03-06 04:40 EST (History)
3 users (show)

See Also:
Fixed In Version: haddock-2.7.2-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-06 04:40:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
haddock.spec-1.patch (2.23 KB, patch)
2010-11-16 21:03 EST, Jens Petersen
no flags Details | Diff
haddock.spec-2.patch (1.62 KB, patch)
2011-01-17 07:37 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Description Narasimhan 2010-11-09 16:55:32 EST
Spec URL : https://sites.google.com/site/lakshminaras2002/home/haddock.spec?attredirects=0&d=1

SRPM URL : https://sites.google.com/site/lakshminaras2002/home/haddock-2.7.2-2.fc14.src.rpm?attredirects=0&d=1

rpmlint output:
ghc-haddock.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-haddock-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-haddock-prof.i686: E: devel-dependency ghc-haddock-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-haddock-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-haddock-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/haddock-2.7.2/libHShaddock-2.7.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

haddock.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

haddock.i686: W: no-manual-page-for-binary haddock-2.7.2
Each executable in standard binary directories should have a man page.

haddock.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

5 packages and 1 specfiles checked; 1 errors, 7 warnings.
Comment 1 Jens Petersen 2010-11-16 21:03:00 EST
Created attachment 460968 [details]
haddock.spec-1.patch

Patch to clean up a bit:

- fix base package group
- use upstream main webpage
- don't need filelist file for base package
Comment 2 Narasimhan 2010-11-17 08:29:36 EST
Thanks, I will integrate the patch and submit the spec file and srpm URLs.
Comment 3 Narasimhan 2010-11-21 03:06:04 EST
SPEC file link : 
https://sites.google.com/site/lakshminaras2002/home/haddock.spec?attredirects=0&d=1

SRPM link
https://sites.google.com/site/lakshminaras2002/home/haddock-2.7.2-2.fc14.src.rpm?attredirects=0&d=1

rpmlint output:
ghc-haddock.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-haddock-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-haddock-prof.x86_64: E: devel-dependency ghc-haddock-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-haddock-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-haddock-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/haddock-2.7.2/libHShaddock-2.7.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

haddock.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

haddock.x86_64: W: no-manual-page-for-binary haddock-2.7.2
Each executable in standard binary directories should have a man page.

haddock.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

5 packages and 1 specfiles checked; 1 errors, 7 warnings.
Comment 4 Jens Petersen 2010-12-21 04:52:45 EST
(Is it possible you could use fedorapeople instead to host your submissions?)
Comment 5 Narasimhan 2010-12-27 19:45:16 EST
Sorry for the delay..

SPEC file URL:
http://narasim.fedorapeople.org/haddock.spec

SRPM URL
http://narasim.fedorapeople.org/haddock-2.7.2-2.fc14.src.rpm
Comment 6 Jens Petersen 2011-01-17 07:35:38 EST
Likewise, sorry. :)


Here is the review:

 +:ok, NA: not applicable, !: needs attention

MUST Items:
[+] MUST: rpmlint output

haddock.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-haddock.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-haddock.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
ghc-haddock-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-haddock-prof.x86_64: E: devel-dependency ghc-haddock-devel
ghc-haddock-prof.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-haddock-prof.x86_64: W: no-documentation
ghc-haddock-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/haddock-2.7.2/libHShaddock-2.7.2_p.a
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
haddock.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
haddock.x86_64: W: no-manual-page-for-binary haddock-2.7.2
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

These are ok.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[!] MUST: Licensing Guidelines

Need license in ghc-haddock too.

Actually this is kind of a ghc-rpm-macros bug/rfe,
so I will see if I can improve it.

[+] MUST: License field in the package spec file must match actual license.

BSD

[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

7b4a8d47ef01d06dc778e0237bafbf1b  haddock-2.7.2.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

http://koji.fedoraproject.org/koji/taskinfo?taskID=2725798 (f14 build since ghc is broken in rawhide right now)

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[NA] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Once we have a copy of the license on the shared lib package
I am happy to approve this review.
Comment 7 Jens Petersen 2011-01-17 07:37:03 EST
Created attachment 473829 [details]
haddock.spec-2.patch

- update to cabal2spec-0.22.4
Comment 8 Jens Petersen 2011-01-20 03:20:46 EST
(In reply to comment #6)
> [!] MUST: Licensing Guidelines
> 
> Need license in ghc-haddock too.
> 
> Actually this is kind of a ghc-rpm-macros bug/rfe,
> so I will see if I can improve it.

Sorry this fine in the f14 build and is purely
a f15 rawhide regression in ghc-rpm-macros.

I would suggest building first for f14 (and f13) until
it is clearer how we will do leksah for ghc-7.0.1.

Package is APPROVED.

Please apply the above patch, before building.
Comment 9 Narasimhan 2011-01-20 04:33:13 EST
Thanks for the review.

Yes, I will apply the patch.
Comment 10 Jens Petersen 2011-01-20 07:53:29 EST
(I note for the record that haddock-2.9(.1) is out, which is compatible with ghc-7.0.1 haddock.  One could hope that leksah-0.9 will work with it.)
Comment 12 Narasimhan 2011-01-21 22:23:40 EST
Package Change Request
======================
Package Name: haddock
Owners: narasim
New Branches: F13 F14
InitialCC: haskell-sig

Requesting devel branch.
Comment 13 Narasimhan 2011-01-21 22:24:47 EST
A correct to comment 12

"Requesting to unretire devel branch."
Comment 14 Jason Tibbitts 2011-01-22 10:51:57 EST
Git done (by process-git-requests).
Comment 15 Jason Tibbitts 2011-01-22 10:52:22 EST
I also unretired the devel branch; you should log into pkgdb and claim it.
Comment 16 Jens Petersen 2011-01-31 21:11:58 EST
https://fedorahosted.org/rel-eng/ticket/4363
Comment 17 Narasimhan 2011-02-05 23:17:54 EST
The fedorahosted ticket has been closed. The next step would be to build haddock for devel,f14 and f13.
Comment 18 Narasimhan 2011-02-07 06:07:00 EST
F15 build
http://koji.fedoraproject.org/koji/buildinfo?buildID=217316
Comment 19 Jens Petersen 2011-03-06 04:40:54 EST
Let's include the review bug next time so it gets closed by bodhi.

Note You need to log in before you can comment on or make changes to this bug.